ResourceDepletionEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.system.event
Class ResourceDepletionEvent

    java.lang.Object
      org.ocap.system.event.SystemEvent
          org.ocap.system.event.ResourceDepletionEvent

    public class ResourceDepletionEvent

extends SystemEvent

Event that indicates resources are low, and the system is about to destroy application(s) to attempt to correct this.

Field Summary
`static int` | `RESOURCE_CPU_BANDWIDTH_DEPLETED` Available CPU cycles is depleted to an implementation specific threshold.
`static int` | `RESOURCE_RC_BANDWIDTH_DEPLETED` Available reverse channel bandwidth is depleted to implementation specific threshold.
`static int` | `RESOURCE_SYS_MEM_DEPLETED` Overall system memory is depleted to an implementation specific threshold.
`static int` | `RESOURCE_VM_MEM_DEPLETED` VM memory for an application is depleted to an implementation specific threshold.

Fields inherited from class org.ocap.system.event.SystemEvent
`BEGIN_APP_CAT_ERROR_EVENT_TYPES, BEGIN_APP_CAT_ERROR_RESERVED_EVENT_TYPES, BEGIN_APP_INFO_EVENT_TYPES, BEGIN_APP_INFO_RESERVED_EVENT_TYPES, BEGIN_APP_REC_ERROR_EVENT_TYPES, BEGIN_APP_REC_ERROR_RESERVED_EVENT_TYPES, BEGIN_SYS_CAT_ERROR_EVENT_TYPES, BEGIN_SYS_CAT_ERROR_RESERVED_EVENT_TYPES, BEGIN_SYS_DNLD_EVENT_TYPES, BEGIN_SYS_INFO_EVENT_TYPES, BEGIN_SYS_INFO_RESERVED_EVENT_TYPES, BEGIN_SYS_REBOOT_EVENT_TYPES, BEGIN_SYS_REBOOT_RESERVED_EVENT_TYPES, BEGIN_SYS_REC_ERROR_EVENT_TYPES, BEGIN_SYS_REC_ERROR_RESERVED_EVENT_TYPES, BEGIN_SYS_RES_DEP_EVENT_TYPES, BEGIN_SYS_RES_DEP_RESERVED_EVENT_TYPES, END_APP_CAT_ERROR_EVENT_TYPES, END_APP_INFO_EVENT_TYPES, END_APP_REC_ERROR_EVENT_TYPES, END_SYS_CAT_ERROR_EVENT_TYPES, END_SYS_DNLD_EVENT_TYPES, END_SYS_INFO_EVENT_TYPES, END_SYS_REBOOT_EVENT_TYPES, END_SYS_REC_ERROR_EVENT_TYPES, END_SYS_RES_DEP_EVENT_TYPES`

Constructor Summary
`ResourceDepletionEvent(int typeCode, String message)` System event constructor assigns an eventId, Date, and ApplicationIdentifier.
`ResourceDepletionEvent(int typeCode, String message, long date, AppID appId)` This constructor is provided for internal use by OCAP implementations; applications SHOULD NOT call it.

Method Summary

Methods inherited from class org.ocap.system.event.SystemEvent
`getAppID, getDate, getMessage, getTypeCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_SYS_MEM_DEPLETED

    public static final int RESOURCE_SYS_MEM_DEPLETED

  Overall system memory is depleted to an implementation specific threshold. This indicates that the platform's application manager is about to destroy an application to free system memory.

  See Also:
    Constant Field Values

### RESOURCE_VM_MEM_DEPLETED

    public static final int RESOURCE_VM_MEM_DEPLETED

  VM memory for an application is depleted to an implementation specific threshold. This indicates that the platform's application manager is about to destroy an application to free VM memory.

  See Also:
    Constant Field Values

### RESOURCE_CPU_BANDWIDTH_DEPLETED

    public static final int RESOURCE_CPU_BANDWIDTH_DEPLETED

  Available CPU cycles is depleted to an implementation specific threshold. This indicates that the platform's application manager is about to destroy an application to free CPU cycles.

  Note that the presence of this event type does not imply that the platform's application manager must destroy applications if CPU usage is too high; merely that if it does then it must first send this event.

  See Also:
    Constant Field Values

### RESOURCE_RC_BANDWIDTH_DEPLETED

    public static final int RESOURCE_RC_BANDWIDTH_DEPLETED

  Available reverse channel bandwidth is depleted to implementation specific threshold. This indicates that the platform's application manager is about to destroy an application to free return channel bandwidth.

  Note that the presence of this event type does not imply that the platform's application manager must destroy applications if return channel bandwidth usage is too high; merely that if it does then it must first send this event.

  See Also:
    Constant Field Values

Constructor Detail

### ResourceDepletionEvent

    public ResourceDepletionEvent(int typeCode,
                                  String message)
                           throws IllegalArgumentException

  System event constructor assigns an eventId, Date, and ApplicationIdentifier.

  Parameters:
    `typeCode` - - Unique event type.
    `message` - - Readable message specific to the event generator.
  Throws:
    `IllegalArgumentException` - if the typeCode is not in a defined application range when the event is created by an application. Since there are no defined application ranges for resource depletion events, this exception will always be thrown if this constructor is called by an application.

### ResourceDepletionEvent

    public ResourceDepletionEvent(int typeCode,
                                  String message,
                                  long date,
                                  AppID appId)

  This constructor is provided for internal use by OCAP implementations; applications SHOULD NOT call it.

  Parameters:
    `typeCode` - - The unique error type code.
    `message` - - Readable message specific to the event generator.
    `date` - - Event date in milli-seconds from midnight January 1, 1970 GMT.
    `appId` - - The Id of the application logging the event.
  Throws:
    `SecurityException` - if this constructor is called by any application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD